\ Screen auxiliary functions
\ Library for DX-Forth and ANSI terminal
\ Pavel Zampach, 2024

marker SCREEN

$168 c@ value #COLS			\ number of screen columns
$169 c@ value #ROWS			\ number of screen rows

\ Cursor off
: CUROFF   ( -- )
  ." \1B[?25l"
;

\ Cursor on
: CURON   ( -- )
  ." \1B[?25h"
;

: INVERSE   ( -- )
  ." \1B[7m"
;

: BLINK   ( -- )
  ." \1B[5m"
;

\ Type string [addr u] on row [n] centered
: .CENTER   ( addr u n -- )
  >r #cols over - 2/ r> at-xy
  type
;
